# Uses of Class
javax.sound.midi.SoundbankResource

Packages that use SoundbankResource
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

## Uses of SoundbankResource in javax.sound.midi

Subclasses of SoundbankResource in javax.sound.midi
Modifier and Type
Class
Description
`class`
`Instrument`
An instrument is a sound-synthesis algorithm with certain parameter settings, usually designed to emulate a specific real-world musical instrument or to achieve a specific sort of sound effect.
Methods in javax.sound.midi that return SoundbankResource
Modifier and Type
Method
Description
`SoundbankResource[]`
Soundbank.`getResources()`
Extracts a list of non-Instrument resources contained in the sound bank.